> ## Documentation Index
> Fetch the complete documentation index at: https://developer.orchestro.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Reprint-label

> This endpoint allows users to reprint shipping labels by providing account details, caller type, and label information. It returns the label ID or any errors encountered during the process.



## OpenAPI

````yaml post /api/v1/core/reprint-labels
openapi: 3.0.3
info:
  title: Satge-e1-David-Sep13
  description: This is an Open API Spec file
  contact: {}
  version: 1.0.0
servers:
  - url: https://api-stage.orchestro.ai/e1/
    description: URL-e1
  - url: >-
      https://1oxp5kxlwl.execute-api.us-east-1.amazonaws.com/stg-e1/orchestro/1A75/
    description: baseURL
  - url: https://api-stage.orchestro.ai
    description: URL
security:
  - ApiKeyAuth: []
tags:
  - name: GRD
paths:
  /api/v1/core/reprint-labels:
    post:
      tags:
        - Reprint
      summary: Reprint-label
      description: >-
        This endpoint allows users to reprint shipping labels by providing
        account details, caller type, and label information. It returns the
        label ID or any errors encountered during the process.
      operationId: reprintLabel
      requestBody:
        description: >-
          The request body for this endpoint accepts a JSON object that contains
          account details, caller type, and label information required to
          reprint shipping labels.
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/core_reprintlabels_body'
            examples:
              reprint-label:
                value:
                  accounts:
                    - accountNumber: AC0088
                      accountType: SHIPPER
                  callerType: SHIPPER
                  labels:
                    - format: PNG
                      id: PEBMLQJ7
        required: true
      responses:
        '200':
          description: Reprint Successful
          headers:
            Connection:
              style: simple
              explode: false
              schema:
                type: string
                example: keep-alive
            Content-Length:
              style: simple
              explode: false
              schema:
                type: string
                example: '100'
            Date:
              style: simple
              explode: false
              schema:
                type: string
                example: Tue, 17 Sep 2024 22:37:07 GMT
            Vary:
              style: simple
              explode: false
              schema:
                type: string
                example: Access-Control-Request-Headers
            Via:
              style: simple
              explode: false
              schema:
                type: string
                example: >-
                  1.1 ac8125882b03042c3557fc96ae234ffa.cloudfront.net
                  (CloudFront)
            X-Amz-Cf-Id:
              style: simple
              explode: false
              schema:
                type: string
                example: trYpeFSE_ox0_HLR1VQd6DB4bZL2S3cTksJCAUynmYYWmNYAhshsnQ==
            X-Amz-Cf-Pop:
              style: simple
              explode: false
              schema:
                type: string
                example: CDG52-P3
            X-Cache:
              style: simple
              explode: false
              schema:
                type: string
                example: Miss from cloudfront
            x-amz-apigw-id:
              style: simple
              explode: false
              schema:
                type: string
                example: eRWnKHJ3oAMETIg=
            x-amzn-Remapped-Connection:
              style: simple
              explode: false
              schema:
                type: string
                example: keep-alive
            x-amzn-Remapped-Content-Length:
              style: simple
              explode: false
              schema:
                type: string
                example: '100'
            x-amzn-Remapped-Date:
              style: simple
              explode: false
              schema:
                type: string
                example: Tue, 17 Sep 2024 22:37:07 GMT
            x-amzn-RequestId:
              style: simple
              explode: false
              schema:
                type: string
                example: 5170381d-6fd4-495e-b12b-5e1c38b4440e
          content:
            application/json:
              schema:
                type: array
                example:
                  - errors:
                      - code: ERR-3205
                        message: Can not get the cancelled Label.
                    labelId: PEBMLQJ7
                items:
                  $ref: '#/components/schemas/inline_response_200_3'
              examples:
                reprint-label:
                  value:
                    - errors:
                        - code: ERR-3205
                          message: Can not get the cancelled Label.
                      labelId: PEBMLQJ7
components:
  schemas:
    core_reprintlabels_body:
      type: object
      properties:
        accounts:
          type: array
          description: A list of accounts involved in the label reprint request.
          example:
            - accountNumber: AC0088
              accountType: SHIPPER
          items:
            $ref: '#/components/schemas/apiv1corereprintlabels_accounts'
        callerType:
          type: string
          description: >-
            The type of entity making the reprint request (e.g., SHIPPER or
            CARRIER).
          example: SHIPPER
        labels:
          type: array
          description: >-
            A list of labels to be reprinted, including the format and unique
            label ID.
          example:
            - format: PNG
              id: PEBMLQJ7
          items:
            $ref: '#/components/schemas/apiv1corereprintlabels_labels'
    inline_response_200_3:
      type: object
      properties:
        errors:
          type: array
          example:
            - code: ERR-3205
              message: Can not get the cancelled Label.
          items:
            $ref: '#/components/schemas/apiv1corereprintlabels_errors'
        labelId:
          type: string
          example: PEBMLQJ7
    apiv1corereprintlabels_accounts:
      type: object
      properties:
        accountNumber:
          type: string
          description: The unique identifier of the account requesting the label reprint.
          example: AC0088
        accountType:
          type: string
          description: The type of account, typically a shipper or carrier.
          example: SHIPPER
    apiv1corereprintlabels_labels:
      type: object
      properties:
        format:
          type: string
          description: The format of the label to be reprinted (e.g., PNG).
          example: PNG
        id:
          type: string
          description: The unique identifier of the label to be reprinted.
          example: PEBMLQJ7
    apiv1corereprintlabels_errors:
      type: object
      properties:
        code:
          type: string
          example: ERR-3205
        message:
          type: string
          example: Can not get the cancelled Label.
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      name: Authorization
      in: header

````